Subject: Re: libvirt-daemon-system should not depend on policykit-1

From: "Thierry B." <[email-masked]>
Date: Thu, 13 Aug 2020 14:31:56 +0200

Le 13/08/2020 à 11:05, Mark Hindley a écrit :
> Thierry,
> 
> Thanks for this.
> 
> 
> Do you have packaging skills? Would you be prepared to maintain the fork?
> 
> Mark
> 

I'm afraid not when I read
https://www.debian.org/doc/manuals/maint-guide/start.en.html chapters,
and I never did that for any distribution. Also it means doing it for
all architectures.

The only thing I know is how to remove policikit-1 dependency for
myself, as I have blacklisted this package and need to rebuild gedebi,
synaptic, gparted and libvirt-daemon-system on my system.

Here is what I do each time there is a new version for theses packages:

$ cd ~/tmp
$ apt download libvirt-daemon-system
$ dpkg-deb -x ./libvirt-daemon-system_6.5.0-1_amd64.deb
libvirt-daemon-system_6.5.0-1_amd64
$ mkdir ./libvirt-daemon-system_6.5.0-1_amd64/DEBIAN
$ dpkg-deb -e libvirt-daemon-system_6.5.0-1_amd64.deb
libvirt-daemon-system_6.5.0-1_amd64/DEBIAN
$ nano libvirt-daemon-system_6.5.0-1_amd64/DEBIAN/control # to move
policykit-1 to Recommends
$ mv libvirt-daemon-system_6.5.0-1_amd64.deb
libvirt-daemon-system_6.5.0-1_amd64.deb.old
$ dpkg-deb -b libvirt-daemon-system_6.5.0-1_amd64
$ sudo apt install ./libvirt-daemon-system_6.5.0-1_amd64.deb